Bug 541792 - Review Request: woff - Encoding and Decoding for Web Open Font Format(Woff)
Review Request: woff - Encoding and Decoding for Web Open Font Format(Woff)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-26 22:54 EST by Parag Nemade
Modified: 2009-12-11 13:34 EST (History)
6 users (show)

See Also:
Fixed In Version: 0.20091126-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 13:15:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2009-11-26 22:54:50 EST
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/woff.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/woff-0.20091126-1.fc12.src.rpm
Description: Encoding and Decoding for Web Open Font Format(Woff)
Comment 1 Nicolas Mailhot 2009-11-28 12:42:53 EST
IMHO woff is a terrible idea, a waste of resources, will only muddy waters, and I doubt defining a new format just in case ie may want to pick it up sometime will end up well, but I guess that if this format starts being used in the field we may as well be able to decode it.

However, this package does not even build in mock

+ umask 022
+ cd /builddir/build/BUILD
+ cd woff-0.20091126
+ LANG=C
+ export LANG
+ unset DISPLAY
+ make 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic' -j2
cc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic   -c -o sfnt2woff.o sfnt2woff.c
cc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic   -c -o woff.o woff.c
cc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic   -c -o woff2sfnt.o woff2sfnt.c
woff.c:43:18: error: zlib.h: No such file or directory
woff.c: In function 'woffEncode':
woff.c:255: error: 'uLong' undeclared (first use in this function)
woff.c:255: error: (Each undeclared identifier is reported only once
woff.c:255: error: for each function it appears in.)
woff.c:255: error: expected ';' before 'sourceLen'
woff.c:276: error: 'sourceLen' undeclared (first use in this function)
woff.c:280: error: 'destLen' undeclared (first use in this function)
woff.c:280: warning: implicit declaration of function 'compressBound'
woff.c:287: warning: implicit declaration of function 'compress2'
woff.c:287: error: 'Bytef' undeclared (first use in this function)
woff.c:287: error: expected expression before ')' token
woff.c:288: error: expected ')' before 'Bytef'
woff.c:288: warning: type defaults to 'int' in declaration of 'type name'
woff.c:288: warning: cast from pointer to integer of different size
woff.c:289: error: 'Z_OK' undeclared (first use in this function)
woff.c:135: warning: unused variable 'tableBase'
woff.c: In function 'rebuildWoff':
woff.c:406: warning: unused variable 'tableData'
woff.c: In function 'woffSetMetadata':
Comment 3 Parag Nemade 2009-12-07 08:14:41 EST
seems no one interested. Closing this review....
Comment 4 Parag AN(पराग) 2009-12-09 02:20:24 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1863928
- rpmlint output for SRPM and for RPM.
woff.i686: W: incoherent-version-in-changelog 0.20091126-2.fc12 ['0.20091126-2.fc13', '0.20091126-2']
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.
==> can be fixed easily
+ source files match upstream url (sha1sum)
59879f1bdeeafce7fc9d4b51406e80d7a4cd0293  woff-code-latest.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Suggestions:
1) I think you can also add woff-2009-10-03.html to %doc as it contains specification information.

APPROVED.
Comment 5 sandeep shedmake 2009-12-09 05:25:29 EST
New Package CVS Request
========================
Package Name: woff
Short Description: Encoding and Decoding for WOFF file format
Owners: sandeeps, pnemade
Branches: F-11, F-12
InitialCC: i18n-team
Comment 6 Nicolas Mailhot 2009-12-09 05:32:47 EST
Please also put the fonts sig in CC
Comment 7 sandeep shedmake 2009-12-09 06:14:30 EST
New Package CVS Request
========================
Package Name: woff
Short Description: Encoding and Decoding for WOFF file format
Owners: sandeeps, pnemade
Branches: F-11, F-12
InitialCC: i18n-team, fonts-sig
Comment 8 Kevin Fenzi 2009-12-09 12:44:37 EST
cvs done.
Comment 9 Fedora Update System 2009-12-10 04:34:39 EST
woff-0.20091126-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/woff-0.20091126-3.fc11
Comment 10 Fedora Update System 2009-12-10 04:34:44 EST
woff-0.20091126-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/woff-0.20091126-3.fc12
Comment 11 Fedora Update System 2009-12-11 13:15:28 EST
woff-0.20091126-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-12-11 13:34:20 EST
woff-0.20091126-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.